<%@ page extends="oneit.servlets.process.AJAXProcessJSP" %>

<%@ include file="/inc/stdimports50.jsp" %><%-- This is in cougar --%>
<%@ include file="/extensions/performa/inc/stdimports.jsp" %>
<%@ include file="/inc/std_imports.jsp" %>

<%! protected String getName (ServletConfig config) { return "assessment_type_selector_jsp"; } %>

<%
    ORMProcessState     process     =   (ORMProcessState) ProcessDecorator.getDefaultProcess(request);
    ObjectTransaction   objTran     =   process.getTransaction ();
    Job                 job         =   (Job) process.getAttribute("Job");
    Long                jobTitleID  =   request.getParameter("jobTitleID") != null ? Long.valueOf(request.getParameter("jobTitleID")) : null;
    String              jobTypeName =   request.getParameter("jobTypeName");
    
    if(jobTypeName != null)
    {
        JobType jobType =   JobType.forName(jobTypeName);
        
        job.setJobType(jobType);
    }

    if(jobTitleID != null)
    {
        ILOJobTitle     jobTitle   =   ILOJobTitle.getILOJobTitleByID(objTran, jobTitleID);

        job.setILOJobTitle(jobTitle);
    }
%>

<oneit:form name="editJob"  method="POST">
    <oneit:evalBody buffer="<%= getBuffer(request) %>">
        <oneit:ormEnum  obj="<%= job %>"    attributeName="AssessmentType" cssClass="form-control"  enumFormatter="<%= new AssessmentTypeEnumFormatter(job) %>"/>
    </oneit:evalBody>
</oneit:form>
